# $Revision: 1.34 $, $Date: 2008/07/27 23:01:30 $
Summary:	A Better CD Encoder
Summary(pl.UTF-8):	A Better CD Encoder - lepszy koder CD
Name:		abcde
Version:	2.3.3
Release:	2
License:	GPL v2+
Group:		Applications
Source0:	http://www.hispalinux.es/~data/files/%{name}_%{version}.orig.tar.gz
# Source0-md5:	94877d1e410ae420630b1048e82907d3
URL:		http://www.hispalinux.es/~data/abcde.php
Requires:	cd-discid >= 0.7
Requires:	wget >= 1.8.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Abcde is a frontend to cdparanoia, wget, cd-discid, id3, and your
favorite Ogg/MP3 encoder (Oggenc is the default). It grabs an entire
CD and converts each track to Ogg/MP3, then comments or ID3-tags each
file, all with one command. It supports parallelization, SMP, HTTP
proxies, customizable filename organization and munging, playlist
generation, and remote distributed encoding via distmp3.

%description -l pl.UTF-8
Abcde jest nakładką na takie programy jak cdparanoia, wget, cd-discid,
id3 oraz Twój ulubiony kodek Ogg/MP3 (standardowym kodekiem jest
Oggenc). Abcde ściąga wszystkie ścieżki z kompaktu, konwertuje je do
odpowiedniego formatu, a następnie dodaje do utworzonych plików tagi
ID3 - wszystko za pomocą jednej komendy. Skrypt umożliwia równoległą
pracę poszczególnych komponentów, wspiera SMP, proxy HTTP oraz zdalne
kodowanie za pomocą distmp3.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}}

install abcde cddb-tool $RPM_BUILD_ROOT%{_bindir}
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1
install abcde.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README changelog TODO FAQ
%attr(755,root,root) %{_bindir}/*
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/abcde.conf
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: abcde.spec,v $
Revision 1.34  2008/07/27 23:01:30  arekm
- release 2

Revision 1.33  2007-02-12 21:23:46  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.31  2006/01/18 11:03:22  maciek2w
- updated to 2.3.3

Revision 1.30  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.29  2005/08/13 18:35:25  wolf
- 2.2.6

Revision 1.28  2004/11/10 16:03:06  adamg
- updated to 2.2.0

Revision 1.27  2004/10/28 10:49:15  paladine
- "MP3" unification

Revision 1.26  2004/04/10 08:52:36  adamg
- updated to 2.1.19

Revision 1.25  2004/04/08 20:30:11  adamg
- updated to 2.1.18

Revision 1.24  2004/04/06 18:37:32  adamg
- updated to 2.1.16

Revision 1.23  2004/02/16 23:00:23  eothane
- up to 2.1.15

Revision 1.22  2004/01/21 15:27:12  wrobell
- ver. 2.1.14

Revision 1.21  2004/01/19 20:00:31  undefine
- update to 2.1.13

Revision 1.20  2004/01/19 18:44:31  undefine
- update to 2.1.12

Revision 1.19  2004/01/11 11:12:43  eothane
- updated to 2.1.11

Revision 1.18  2004/01/06 00:33:11  adamg
- updated to 2.1.10

Revision 1.17  2003/11/05 15:56:22  andree
- updated to 2.1.9

Revision 1.16  2003/09/13 08:56:55  adamg
- updated to 2.1.6

Revision 1.15  2003/08/15 06:27:25  adamg
- updated to 2.1.5

Revision 1.14  2003/08/06 16:03:45  kloczek

Revision 1.13  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/19 06:37:25  adamg
- updated to 2.1.4: small bugfixes

Revision 1.10  2003/05/10 09:16:48  adamg
- up to 2.1.3

Revision 1.9  2003/04/18 08:17:19  adamg
- updated to 2.1.2

Revision 1.8  2003/03/06 22:28:30  wiget
- up to 2.1.0 (multiple output formats, FLAC support, normalize support)
- switch to new homepage
- added FAQ to %%doc
- fixed License tag

Revision 1.7  2002/10/06 13:14:15  qboosh
- added full project name to pl summary

Revision 1.6  2002/10/05 23:11:24  qboosh
- pl summary, adapterized descriptions

Revision 1.5  2002/10/04 18:31:23  wrobell
- pl descriptions
- wget is required to install... maybe...

Revision 1.4  2002/10/03 16:37:38  wrobell
- fixed manual files installation
- noarch (shell scripts)
- cd-discid is required to run it

Revision 1.3  2002/10/03 14:16:49  wrobell
- added todo

Revision 1.2  2002/10/03 12:57:34  wrobell
- finished spec pldization

Revision 1.1  2002/10/02 23:08:54  wrobell
- based on template, nfy
